[
	{
		ingredientPattern: "_ST	S_T	_ST",
		ingredients: {
			"S": { type: "item", code: "stick" },
			"T": { type: "item", code: "{bowstring}" }
		},
		allowedVariants: {
			bowstring: ["flaxtwine", "rope"]
		},
		width: 3,
		height: 3,
		output: { type: "item", code: "bow-simple", quantity: 1  }
	},
	{
		ingredientPattern: "_FT	BLT	_FT",
		recipeGroup: 1,
		ingredients: {
			"B": { type: "item", code: "bowstave-long-dry" },
			"T": { type: "item", code: "flaxtwine" },
			"L": { type: "item", code: "leather-normal-plain" },
			"F": { type: "item", code: "{coating}" }
		},
		allowedVariants: {
			coating: ["fat-rendered", "resin", "beeswax"]
		},
		width: 3,
		height: 3,
		output: { type: "item", code: "bow-long", quantity: 1  }
	},
	{
		ingredientPattern: "_FT	BLT	_FT",
		recipeGroup: 2,
		ingredients: {
			"B": { type: "item", code: "bowstave-long-dry" },
			"T": { type: "item", code: "flaxtwine" },
			"L": { type: "item", code: "hide-pelt-*", tags: ["size-small"] },
			"F": { type: "item", code: "{coating}" }
		},
		allowedVariants: {
			coating: ["fat-rendered", "resin", "beeswax"]
		},
		width: 3,
		height: 3,
		output: { type: "item", code: "bow-long", quantity: 1  }
	},
	{
		ingredientPattern: "_FT	BLT	_FT",
		recipeGroup: 2,
		ingredients: {
			"B": { type: "item", code: "bowstave-long-dry" },
			"T": { type: "item", code: "flaxtwine" },
			"L": { type: "item", code: "hide-pelt-*", tags: ["size-medium"] },
			"F": { type: "item", code: "{coating}" }
		},
		allowedVariants: {
			coating: ["fat-rendered", "resin", "beeswax"]
		},
		width: 3,
		height: 3,
		output: { type: "item", code: "bow-long", quantity: 1  }
	},

	{
		ingredientPattern: "MFT	BLT	MFT",
		requiresTrait: "bowyer",
		ingredients: {
			"B": { type: "item", code: "bowstave-recurve-dry" },
			"T": { type: "item", code: "flaxtwine" },
			"L": { type: "item", code: "leather-normal-plain" },
			"F": { type: "item", code: "bone" },
			"M": { type: "item", code: "bushmeat-raw" }
		},
		width: 3,
		height: 3,
		output: { type: "item", code: "bow-recurve", quantity: 1  }
	}
]